<? version="1.0" encoding="UTF-8"?>
<ModuleFile xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" >
	<UiMod name="RazerNaga" version="1.2.0" date="2009/09">
		<Author name="Razer" email="techsupport@razersupport.com" />
		<Description text="RazerNaga" />
		<VersionSettings gameVersion="1.3.1" windowsVersion="1.0" savedVariablesVersion="1.1" />
		<Dependencies>
			<Dependency name="EA_ContextMenu" />
			<Dependency name="EA_KeyMappingWindow" />
			<Dependency name="EA_ActionBars" />
			<Dependency name="EASystem_ActionBarClusterManager" />
			<Dependency name="EASystem_Strings" />
			<Dependency name="EASystem_Utils" />
			<Dependency name="EASystem_WindowUtils" />
			<Dependency name="EASystem_LayoutEditor" />
            <Dependency name="EATemplate_DefaultWindowSkin" />
        </Dependencies>
		<SavedVariables>
			<SavedVariable name="RazerNagaDatabase"/>
		</SavedVariables>
		<Files>
			<File name="Libraries/LibStub.lua" />
			<File name="Libraries/LibGUI.lua" />
			<File name="Libraries/CallbackHandler-1.0.lua" />
			<File name="Libraries/AceLocale-3.0.lua" />
			<File name="Libraries/AceDB-3.0.lua" />
			<File name="Libraries/AceDBOptions-3.0.lua" />
			
			<File name="Localization/deDE.lua" />
			<File name="Localization/enUS.lua" />
			<File name="Localization/esES.lua" />
			<File name="Localization/frFR.lua" />
			<File name="Localization/itIT.lua" />
			<File name="Localization/jaJP.lua" />
			<File name="Localization/koKR.lua" />
			<File name="Localization/ruRU.lua" />
			<File name="Localization/zhCN.lua" />
			<File name="Localization/zhTW.lua" />
			
			<File name="Assets/Assets.xml" />
			
			<!-- Start Configuration Windows -->
			<File name="Configuration/RazerNagaConfig.xml" />
			<File name="Configuration/RazerNagaConfig.lua" />
			<File name="Configuration/RazerNagaConfig_General.lua" />
			<!-- End Configuration Windows -->
			
			<File name="Source/DefaultSettings.lua" />
			<File name="Source/RazerNaga.xml" />
			<File name="Source/RazerNaga.lua" />
			<File name="Source/Constants.lua" />
			<File name="Source/DefaultSettings.lua" />
		</Files>
		<OnInitialize>
			<CreateWindow name="RazerNagaConfig" show="false" />
			<CreateWindow name="RazerNagaMiniMap" show="true" />
			<CallFunction name="RazerNaga.OnInitialize" />
		</OnInitialize>
		<OnUpdate/>
        <OnShutdown/>
        
        <WARInfo>
		    <Categories>
		        <Category name="ACTION_BARS" />
		    </Categories>
		    <Careers>
		        <Career name="BLACKGUARD" />
		        <Career name="WITCH_ELF" />
		        <Career name="DISCIPLE" />
		        <Career name="SORCERER" />
		        <Career name="IRON_BREAKER" />
		        <Career name="SLAYER" />
		        <Career name="RUNE_PRIEST" />
		        <Career name="ENGINEER" />
		        <Career name="BLACK_ORC" />
		        <Career name="CHOPPA" />
		        <Career name="SHAMAN" />
		        <Career name="SQUIG_HERDER" />
		        <Career name="WITCH_HUNTER" />
		        <Career name="KNIGHT" />
		        <Career name="BRIGHT_WIZARD" />
		        <Career name="WARRIOR_PRIEST" />
		        <Career name="CHOSEN" />
		        <Career name= "MARAUDER" />
		        <Career name="ZEALOT" />
		        <Career name="MAGUS" />
		        <Career name="SWORDMASTER" />
		        <Career name="SHADOW_WARRIOR" />
		        <Career name="WHITE_LION" />
		        <Career name="ARCHMAGE" />
		    </Careers>
		</WARInfo>
	</UiMod>
</ModuleFile>