--[[
	This application is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The applications is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the applications.  If not, see <http://www.gnu.org/licenses/>.
--]]

if not RazerNaga then RazerNaga = {} end

local RazerNaga = RazerNaga

RazerNaga.DefaultSettings 	=
{
	profile = {
		general =
		{
			version									= 000000,
			debug									= false,
			automatickeybinding						= true,
			autokeybindingprompt					= true,
			firstload								= true,
			mode									= 1,
		},
		
		bars =
		{
			['**'] = 
			{
				automatickeybinding 				= false,
				modifier							= RazerNaga.MODIFIER_NONE,
			},
			
			[1] =
			{
				automatickeybinding					= true,
			},
			
			[2] =
			{
				modifier							= RazerNaga.MODIFIER_ALT,
			},
			
			[3] =
			{
				modifier							= RazerNaga.MODIFIER_SHIFT,
			},
		},
		
		bindings =
		{
			basic =
			{
				[1] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 2, },		deviceId = 1, }, }, },		-- 1
				[2] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 3, },		deviceId = 1, }, }, },		-- 2
				[3] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 4, },		deviceId = 1, }, }, },		-- 3
				[4] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 5, },		deviceId = 1, }, }, },		-- 4
				[5] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 6, },		deviceId = 1, }, }, },		-- 5
				[6] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 7, },		deviceId = 1, }, }, },		-- 6
				[7] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 8, },		deviceId = 1, }, }, },		-- 7
				[8] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 9, },		deviceId = 1, }, }, },		-- 8
				[9] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 10, },	deviceId = 1, }, }, },		-- 9
				[10] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 11, },	deviceId = 1, }, }, },		-- 0
				[11] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 12, },	deviceId = 1, }, }, },		-- -
				[12] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 13, },	deviceId = 1, }, }, },		-- =
			},
			advanced =
			{
				[1] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 79, },	deviceId = 1, }, }, },		-- Num 1
				[2] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 80, },	deviceId = 1, }, }, },		-- Num 2
				[3] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 81, },	deviceId = 1, }, }, },		-- Num 3
				[4] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 75, },	deviceId = 1, }, }, },		-- Num 4
				[5] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 76, },	deviceId = 1, }, }, },		-- Num 5
				[6] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 77, },	deviceId = 1, }, }, },		-- Num 6
				[7] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 71, },	deviceId = 1, }, }, },		-- Num 7
				[8] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 72, },	deviceId = 1, }, }, },		-- Num 8
				[9] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 73, },	deviceId = 1, }, }, },		-- Num 9
				[10] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 82, },	deviceId = 1, }, }, },		-- Num 0
				[11] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 74, },	deviceId = 1, }, }, },		-- Num -
				[12] 	= {	count = 1, bindings = { [1] = {	buttons = { [1] = 78, },	deviceId = 1, }, }, },		-- Num =
			},
		},
	},
}